---

version: '2'
services:
  cobbler:
    image: "docker-registry.zooxlabs.com/cobbler:{{ cobbler_image_version }}"
    container_name: cobbler
    restart: unless-stopped
    network_mode: "{{ cobbler_network_mode }}"
    privileged: true
    ports:
      - 69:69
      - 53:53
      - 80:80
      - 443:443
      - 25151:25151
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
      - /etc/docker-compose/cobbler/etc/cobbler/settings:/etc/cobbler/settings
      - /etc/docker-compose/cobbler/etc/cobbler/dhcp.template:/etc/cobbler/dhcp.template
      - /etc/docker-compose/cobbler/etc/cobbler/named.template:/etc/cobbler/named.template
      - /etc/docker-compose/cobbler/dist:/dist:ro
      - /etc/docker-compose/cobbler/var/www/html:/var/www/html
    logging:
      options:
        max-size: "50m"
        max-file: "5"
